import * as React from "react";
import { StylingPropsTypes } from "./SwitchSelector.styled";
export declare type OptionType = {
    label: string | number | React.ReactElement | HTMLElement;
    value: unknown;
    selectedBackgroundColor?: string;
    fontColor?: string;
    selectedFontColor?: string;
};
export interface Props extends Partial<StylingPropsTypes> {
    onChange: <T extends any>(val: T) => void;
    options: Array<OptionType>;
    initialSelectedIndex?: number;
    forcedSelectedIndex?: number;
}
declare const SwitchSelector: React.FC<Props>;
export default SwitchSelector;
