"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OptionInput = exports.OptionItemLabel = exports.OptionItem = exports.SwitchSelectorWrapper = void 0;
var styled_1 = require("@emotion/styled");
exports.SwitchSelectorWrapper = styled_1.default("div")(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n    display: flex;\n    border-radius: ", "px;\n    border: ", ";\n    background: ", ";\n    width: 100%;\n    height: 100%;\n    position: relative;\n\n    ::before {\n        top: 50%;\n        left: ", "%;\n        content: \"\";\n        position: absolute;\n        height: calc(100% - ", "px);\n        width: calc(\n            ", "% -\n                ", "px\n        );\n        border-radius: ", "px;\n        border: ", "px solid\n            ", ";\n        background: ", ";\n        transition: left 0.1s linear, background 0.1s linear;\n        transform: translateY(-50%);\n        z-index: 1;\n        box-sizing: content-box;\n    }\n"], ["\n    display: flex;\n    border-radius: ", "px;\n    border: ", ";\n    background: ", ";\n    width: 100%;\n    height: 100%;\n    position: relative;\n\n    ::before {\n        top: 50%;\n        left: ", "%;\n        content: \"\";\n        position: absolute;\n        height: calc(100% - ", "px);\n        width: calc(\n            ", "% -\n                ", "px\n        );\n        border-radius: ", "px;\n        border: ", "px solid\n            ", ";\n        background: ", ";\n        transition: left 0.1s linear, background 0.1s linear;\n        transform: translateY(-50%);\n        z-index: 1;\n        box-sizing: content-box;\n    }\n"])), function (props) { return props.wrapperBorderRadius; }, function (props) { return props.border; }, function (props) { return props.backgroundColor; }, function (props) { return (props.selectedIndex / props.optionsAmount) * 100; }, function (props) { return 2 * props.selectionIndicatorMargin; }, function (props) { return (1 / props.optionsAmount) * 100; }, function (props) { return 2 * props.selectionIndicatorMargin; }, function (props) { return props.optionBorderRadius; }, function (props) { return props.selectionIndicatorMargin; }, function (props) { return props.backgroundColor; }, function (props) { return props.selectedBackgroundColor; });
exports.OptionItem = styled_1.default("div")(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n    display: flex;\n    align-items: center;\n    height: 100%;\n    width: ", "%;\n    border-radius: ", "px;\n"], ["\n    display: flex;\n    align-items: center;\n    height: 100%;\n    width: ", "%;\n    border-radius: ", "px;\n"])), function (props) { return (1 / props.optionsAmount) * 100; }, function (props) { return props.optionBorderRadius; });
exports.OptionItemLabel = styled_1.default("label")(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n    display: flex;\n    justify-content: center;\n    align-items: center;\n    width: 100%;\n    height: 100%;\n    z-index: 2;\n    transition: color 0.1s linear;\n    cursor: pointer;\n    font-size: ", ";\n    color: ", ";\n"], ["\n    display: flex;\n    justify-content: center;\n    align-items: center;\n    width: 100%;\n    height: 100%;\n    z-index: 2;\n    transition: color 0.1s linear;\n    cursor: pointer;\n    font-size: ", ";\n    color: ",
    ";\n"])), function (props) { return (props.isRawText ? props.fontSize + "px" : "unset"); }, function (props) {
    return props.isRawText ? (props.selected ? props.selectedFontColor : props.fontColor) : "unset";
});
exports.OptionInput = styled_1.default.input(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n    width: 0;\n    height: 0;\n    opacity: 0;\n    z-index: -1;\n    position: absolute;\n    pointer-events: none;\n"], ["\n    width: 0;\n    height: 0;\n    opacity: 0;\n    z-index: -1;\n    position: absolute;\n    pointer-events: none;\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
//# sourceMappingURL=SwitchSelector.styled.js.map